टिमथंब (thumb.php) सुरक्षा दोष – WooCommerce

टिमथंब (thumb.php) सुरक्षा दोष - WooCommerce

आज सुबह हमें टिमथंब इमेज रीसाइजिंग स्क्रिप्ट में एक सुरक्षा दोष के बारे में बताया गया, जिसका उपयोग डायनेमिक इमेज रीसाइजिंग के लिए हमारे विषयों में किया जाता है। यह अन्य वर्डप्रेस थीम और प्लगइन्स में भी व्यापक रूप से उपयोग किया जाता है।

इस सुरक्षा दोष के परिणामस्वरूप, टिमथंब के लेखक और वर्डथंब के लेखक ने टिमथंब v2 को जारी करने के लिए एक साथ काम किया है जो इन सुरक्षा मुद्दों को ठीक करता है।

हम अत्यधिक अनुशंसा करते हैं कि आप अपने WooFramework को नीचे वर्णित तरीके से अपडेट करें।

अपनी थीम को कैसे अपडेट करें

टिमथंब (thumb.php) सुरक्षा दोष - WooCommerce
WooFramework v4.4.2 के साथ टिमथंब को अपडेट करें

आपको के नवीनतम संस्करण में अपडेट करने की आवश्यकता है वूफ्रेमवर्क (v4.4.2), क्योंकि अब हम thumb.php को फ्रेमवर्क में ले गए हैं, इसलिए अपडेट रखना आसान है। फ्रेमवर्क में एक नया फंक्शन भी है जो थीम से आपके पुराने टिमथंब को हटा देगा।

अपने फ्रेमवर्क को अपडेट करने के लिए, बस अपने थीम मेनू पर जाएं और “चुनें”अद्यतन ढांचा” (विषय पर हमारा ट्यूटोरियल देखें)।

कृपया ध्यान दें कि फ्रेमवर्क अपडेट करने से पहले यह आवश्यक है कि आपकी साइट में वर्डप्रेस का नवीनतम संस्करण हो (न्यूनतम 3.2.1 और पीएचपी 5.2.4)।

और मदद चाहिए?

हमने अपने सपोर्ट फोरम में टिमथंब मुद्दों के लिए एक समर्पित फोरम बनाया है। कृपया इस फोरम में एक नई पोस्ट करें और हम आपकी सहायता करने के लिए साथ रहेंगे। नया फ़ोरम देखें.

सीटीए-बैनर-10-उत्पाद-पृष्ठ-v2_2x

टिमथंब (thumb.php) सुरक्षा दोष - WooCommerce टिमथंब (thumb.php) सुरक्षा दोष - WooCommerce

प्रातिक्रिया दे

आपका ईमेल पता प्रकाशित नहीं किया जाएगा. आवश्यक फ़ील्ड चिह्नित हैं *